
D4Science Infrastructure - VM Creation #13149

perform-service production instance

Jan 15, 2019 11:16 AM - Fabio Sinibaldi

Status: Closed Start date: Jan 08, 2019

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: PerformFish   

Infrastructure: Production Applications list and

version:

 

RAM: 4 Applications context

path:

perform-service

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: LATEST PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu/F

ARM/PerformFISH-KPIs

  

Description

A new VM is needed in order to test the new service 'perform-service'.

Such service needs to connect to the VRE's perform-fish-db as manager (see ticket #13111 for database details).

Related issues:

Copied from D4Science Infrastructure - VM Creation #13112: perform-service de... Closed Jan 08, 2019

History

#1 - Jan 15, 2019 11:17 AM - Fabio Sinibaldi

- Copied from VM Creation #13112: perform-service development instance added

#2 - Jan 15, 2019 11:24 AM - Andrea Dell'Amico

Is there a production DB or is it meant to connect to the dev one?

#3 - Jan 15, 2019 11:46 AM - Fabio Sinibaldi

The production DB published as Service Endpoint 

Category = Database

Name = PF_DB

is currently pf_kpi_apps hosted on postgresql-srv.d4science.org:5432

Please take #13111 into account for database configuration.

#4 - Jan 15, 2019 01:24 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 40

new VM perform.d4science.org ready to be provided

#5 - Jan 15, 2019 05:38 PM - Andrea Dell'Amico
- % Done changed from 40 to 90

There's  a problem with the container. The error below is from the production instance, but I expect an identical one on preproduction:

2019-01-15 17:36:11,941 [localhost-startStop-1] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[local

host].[/perform-service]- Exception sending context initialized event to listener instance of class org.gcube.

smartgears.ContextListener

java.lang.RuntimeException: /perform-service is a gCube-aware application but is not managed as a gCube resour

ce: missing or invalid context attribute gcube-application-context

        at org.gcube.smartgears.ContextListener.contextInitialized(ContextListener.java:35)

        at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:5019)

        at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5513)

        at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

        at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

        at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

        at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

        at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

        at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)

        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

        at java.util.concurrent.FutureTask.run(FutureTask.java:266)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

        at java.lang.Thread.run(Thread.java:748)

2019-01-15 17:36:11,943 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Error listener

Start

2019-01-15 17:36:11,944 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Context [/perf

orm-service] startup failed due to previous errors

#6 - Jan 15, 2019 05:40 PM - Andrea Dell'Amico

I see that there's no gcube-app.xml file inside WEB-INF.

#7 - Jan 15, 2019 06:03 PM - Fabio Sinibaldi

Thanks for the hint, it's probably the right cause. I'm gonna fix it now.

#8 - Jan 23, 2019 06:30 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Powered by TCPDF (www.tcpdf.org)

Apr 30, 2025 2/2

http://www.tcpdf.org

